## torcs 1.3.1

=== src/windows/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Tue Jun 25 00:02:31 CEST 2002
#    copyright            : (C) 2001 by Eric Espi                        
#    email                : Eric.Espie@torcs.org   
#    version              : $Id: Makefile,v 1.2 2002/06/30 14:11:17 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


PKGSUBDIRS	= $(shell find * -maxdepth 0 -type d -print | grep -v CVS)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/berniw2/Makefile ===
ROBOT = berniw2

MODULE = ${ROBOT}.so

MODULEDIR = drivers/${ROBOT}

SOURCES   = ${ROBOT}.cpp spline.cpp trackdesc.cpp pathfinder.cpp mycar.cpp

SHIPDIR   = drivers/${ROBOT}

SHIP      = ${ROBOT}.xml logo.rgb

SHIPSUBDIRS = 1 2 3 4 5 6 7 8 9 10

PKGSUBDIRS	= $(SHIPSUBDIRS)

src-robots-base_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src-robots-base_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

# Mandatory Line Do Not Remove 
include ${MAKE_DEFAULT}

=== src/drivers/bt/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002-2004 Bernhard Wymann
#    email                : berniw@bluewin.ch
#    version              : $Id: Makefile,v 1.6.2.1 2008/09/03 21:53:17 berniw Exp $
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = bt
MODULE      = ${ROBOT}.so
MODULEDIR   = drivers/${ROBOT}
SOURCES     = ${ROBOT}.cpp driver.cpp opponent.cpp spline.cpp pit.cpp learn.cpp strategy.cpp cardata.cpp

SHIPDIR     = drivers/${ROBOT}
SHIP        = ${ROBOT}.xml logo.rgb
SHIPSUBDIRS = 0 1 2 3 4 5 6 7 8 9

PKGSUBDIRS  = ${SHIPSUBDIRS}
src-robots-base_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-base_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/human/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:15:13 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.7 2003/03/05 01:16:12 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


ROBOT = human

MODULE    = ${ROBOT}.so

MODULEDIR = drivers/${ROBOT}

LIBS      =  -lplibul

SOURCES   = ${ROBOT}.cpp pref.cpp

SHIPDIR   = drivers/${ROBOT}

SHIP      = $(shell find *.xml -maxdepth 0 -type f -print) $(shell find *.rgb -maxdepth 0 -type f -print)

CONFIGCREATEDIRS = ${SHIPDIR}

CONFIG    = $(shell find *.xml -maxdepth 0 -type f -print)

SHIPSUBDIRS = tracks

PKGSUBDIRS	= $(SHIPSUBDIRS)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/sparkle/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002 Bernhard Wymann
#    email                : berniw@bluewin.ch
#    version              : $Id: Makefile,v 1.3.2.1 2008/09/03 21:53:52 berniw Exp $
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = sparkle
MODULE      = ${ROBOT}.so
MODULEDIR   = drivers/${ROBOT}
SOURCES     = ${ROBOT}.cpp driver.cpp opponent.cpp spline.cpp pit.cpp

SHIPDIR     = drivers/${ROBOT}
SHIP        = ${ROBOT}.xml logo.rgb
SHIPSUBDIRS = $(shell find * -maxdepth 0 -type d -print | grep -v CVS)

PKGSUBDIRS  = ${SHIPSUBDIRS}
src-robots-base_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-base_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/libs/tgfclient/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:38:24 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.3 2005/06/03 23:51:19 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


SOLIBRARY = libtgfclient.so

SOLIBDIR  = .

SOURCES   = 	guimenu.cpp \
		screen.cpp \
		gui.cpp \
		guifont.cpp \
		guiobject.cpp \
		guilabel.cpp \
		guibutton.cpp \
		guiedit.cpp \
		guihelp.cpp \
		img.cpp \
		guiscrollist.cpp \
		guiscrollbar.cpp \
		guiimage.cpp \
		control.cpp \
		fg_gm.cpp \
		tgfclient.cpp \
		glfeatures.cpp


EXPDIR  = include

EXPORTS = tgfclient.h screen_properties.h glfeatures.h

SHIPDIR = config

SHIP    = screen.xml

CONFIGCREATEDIRS = config

CONFIG    = screen.xml

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/windows/include/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Tue Jun 25 00:02:31 CEST 2002
#    copyright            : (C) 2001 by Eric Espi                        
#    email                : Eric.Espie@torcs.org   
#    version              : $Id: Makefile,v 1.1 2002/07/02 18:05:30 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


PKGSUBDIRS	= $(shell find * -maxdepth 0 -type d -print | grep -v CVS)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/berniw/1/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:11:09 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.4.6.1 2008/09/03 21:51:49 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


ROBOT = berniw

SHIPDIR   = drivers/${ROBOT}/1

SHIP      = cg-nascar-rwd.rgb $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-base_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src-robots-base_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/berniw/2/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:11:09 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.7.6.1 2008/09/03 21:51:49 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


ROBOT = berniw

SHIPDIR   = drivers/${ROBOT}/2

SHIP      = cg-nascar-rwd.rgb $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-base_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src-robots-base_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/berniw/9/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:11:09 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.5.6.3 2008/09/03 21:51:49 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


ROBOT = berniw

SHIPDIR   = drivers/${ROBOT}/9

SHIP      = car7-trb1.rgb $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-base_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src-robots-base_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/berniw2/7/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:11:09 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.2.6.2 2008/09/03 21:52:16 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


ROBOT = berniw2

SHIPDIR   = drivers/${ROBOT}/7

SHIP      = car5-trb1.rgb $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-base_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src-robots-base_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/berniw2/9/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:11:09 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.2.6.3 2008/09/03 21:52:16 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


ROBOT = berniw2

SHIPDIR   = drivers/${ROBOT}/9

SHIP      = car7-trb1.rgb $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-base_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src-robots-base_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

## torcs 1.3.3

=== src/windows/include/vorbis/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Tue Jun 25 00:02:31 CEST 2002
#    copyright            : (C) 2001 by Eric Espi                        
#    email                : Eric.Espie@torcs.org   
#    version              : $Id: Makefile,v 1.1.2.1 2012/01/08 20:48:10 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


PKGSUBDIRS	= $(shell find * -maxdepth 0 -type d -print | grep -v CVS)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== debian/changelog ===
torcs (1.3.3-5ubuntu1) quantal; urgency=low

  * Link libmusicplayer.so with OpenAL to fix FTFBS (Debian: #668514) LP: #941619

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 28 Aug 2012 11:56:07 +0000

torcs (1.3.3-5) unstable; urgency=low

  * Reworked debian/copyright to conform machine readable policy.
  * Added artwork licensing for cars (-data-cars).
  * Updated car list shipped within the torcs-data-cars package. (Closes: #678827)
  * Removed empty script (telemetry.sh) from torcs to make lintian happy.
  * Reworded -data* packages description to be more descriptive and clear.
  * Removed 'Website' pseudo-field since the package has Homepage field set.

 -- Rudy Godoy <rudy@stone-head.org>  Wed, 30 May 2012 18:30:54 -0500

torcs (1.3.3-4) unstable; urgency=low

  * Fixed wording on package description.
  * Finally, fixes upgrading errors due new packaging layout. (Closes: #664220)
  * Reworked most of the Debian part of the build system 
    to support autotools update on build-time.
  * Updated debian/TODO.Debian
  * Added debian/source/local-options to prevent dpkg-source errors
    due build-time generated files.

 -- Rudy Godoy <rudy@stone-head.org>  Tue, 15 May 2012 17:27:43 -0500

torcs (1.3.3-3) unstable; urgency=low

  * Updated standards version to 3.9.3.
  * Updated maintainer email.
  * Added Vcs-Git field to debian/control.
  * Added Breaks field to solve install conflict (Closes: #664220)

 -- Rudy Godoy <rudy@stone-head.org>  Thu, 05 Apr 2012 16:52:07 -0500

torcs (1.3.3-2) unstable; urgency=low

  * torcs-data: Fixed dependency relationships to allow clean upgrade
    from previous versions. (Closes: #664220)
  * Updated watch and README.Debian-source to reflect use of upstream's 
    "all-in-one" source tarball instead of the split ones.
  * Put back Art licensing to .copyright files for -data, -data-tracks 
    and -data-cars.
  * Package is in better shape now and includes security fixes. 
    (Closes: #660516, #660555)

 -- Rudy Godoy <rudy@stone-head.org>  Sat, 17 Mar 2012 21:51:12 -0500

torcs (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Removed patches accepted and merged by upstream:
    - debian/patches/03
    - debian/patches/04
    - debian/patches/07
  * Added libvorbis dependency to build-deps
  * Removed dependency on menu. (Closes: #647380)
  * Switched to dpkg-source 3.0 (quilt) format
  * Merged packaging from -data packages.
  * Bumped standars version. No changes needed.

 -- Rudy Godoy <rudy@stone-head.org>  Thu, 01 Mar 2012 01:51:49 -0500

torcs (1.3.1-6.2) unstable; urgency=low

  * Non-maintainer upload. (version 1.3.1-6.1 triggered a problem with dak)
  * 06-add-format-argument.patch: add format argument to
    avoid format-security error while building. (Closes: #646469)
  * 07-update-to-libpng15.patch: libpng transition. Thanks to Nobuhiro Iwamatsu!
    (Closes: #636009)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sun, 04 Dec 2011 11:34:02 +0100

torcs (1.3.1-6) unstable; urgency=low

  * Fixed .desktop file to be valid. Thanks Pino Toscano. Closes: #638957
  * Added patch to fix FTBS caused by libraceengine.so being underlinked. 
    Thanks Julian Taylor. Closes: #638719

 -- Rudy Godoy <rudy@debian.org>  Tue, 30 Aug 2011 19:56:17 -0500

torcs (1.3.1-5) unstable; urgency=low

  * Fixed insecure library loading (LD_LIBRARY_PATH) (CVE-2010-3384) Closes: #598306.

 -- Rudy Godoy <rudy@debian.org>  Sat, 09 Oct 2010 17:56:12 -0500

torcs (1.3.1-4) unstable; urgency=low

  * Removed '3DGraphics' category from .desktop. Thanks Andrew Higginson.
    (Closes: #588215) (LP: #532066)
  * Bumped debian/watch version to 3 and fixed URI issue.

 -- Rudy Godoy <rudy@debian.org>  Sun, 22 Aug 2010 13:27:28 -0500

torcs (1.3.1-3) unstable; urgency=low

  * Fixed missing documentation install in debian/rules (Closes: #577354)
  * Removed xrandr exclusion on configure and automake1.9 dependency 
    from debian/control (Closes: #552593)
  * Fixed long URLs in manpage and updated author email address.

 -- Rudy Godoy <rudy@debian.org>  Sat, 08 May 2010 21:48:56 -0500

torcs (1.3.1-2) unstable; urgency=low

  * Add dependency on libtool (Closes: #529023)
  * Updated link for tutorial on manpage (Closes: #465459)

 -- Rudy Godoy <rudy@debian.org>  Sun, 14 Jun 2009 22:13:04 -0500

torcs (1.3.1-1) unstable; urgency=low

  * Now Torcs ships more drivers-robots (Closes: #440167)
  * New upstream release (Closes: #509324)
  * Reworked copyright information. Added license text.
  * Updated watch file to properly support SF's download urls
  * Removed dependency on xlibmesa-gl
  * Removed versioned Build-Depends on plib1.8.4-dev (Closes: #516923)

 -- Rudy Godoy <rudy@debian.org>  Sun, 01 Mar 2009 03:58:39 -0500

torcs (1.3.0-3) unstable; urgency=low

  * Removed new.h include on simuv2 SOLID 2.0 source for GCC 4.3
    compliance. (Closes: #461946)
  * Reencoded Debian's copyright file to UTF8, making lintian happy

 -- Rudy Godoy <rudy@debian.org>  Sun, 03 Feb 2008 16:08:12 -0500

torcs (1.3.0-2) unstable; urgency=low

  * Reworked dependencies, now using libgl1-mesa-dev. mesa GLX libs are not
    actually used.
  * Not running autoconf and automake before compiling, this causes configure
    to ran again and loses arguments.
  * Exclude xrandr from configure to workaround OpenAL bug when it can't open
    a sound device (Closes: #445806)
  * Removed Application category and FilePattern to match FreeDesktop specs from .desktop entry.
  * Upgraded to debian policy 3.7.3, no changes need

 -- Rudy Godoy <rudy@debian.org>  Sun, 23 Dec 2007 17:03:28 -0500

torcs (1.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #393439)
  * Bumped standards version, no changes needed
  * Removed track_cpp and alut patches
  * Worked out build scripts to fix FTBS when build twice in a row (Closes: #424215)

 -- Rudy Godoy <rudy@debian.org>  Sun, 27 May 2007 22:30:21 -0500

torcs (1.2.4-3) unstable; urgency=low



=== debian/control ===
Source: torcs
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rudy Godoy <rudy@stone-head.org>
Build-Depends: debhelper (>= 7.0), libgl1-mesa-dev, libplib-dev, freeglut3-dev (>= 2.2.0), libpng12-dev (>= 1.2.8), zlib1g-dev (>= 1.2.1.1), libx11-dev (>= 6.8.2), libxt-dev (>= 6.8.2), libxmu-dev (>= 6.8.2), libxxf86vm-dev (>= 6.8.2), cdbs, libopenal-dev, libalut-dev (>= 1.0.0), libxi-dev, libxrender-dev, libxrandr-dev, autoconf, automake1.11, libtool, libvorbis-dev, autotools-dev
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-games/torcs.git
Homepage: http://torcs.org

Package: torcs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, torcs-data (>= 1.3.3)
Description: 3D racing cars simulator game using OpenGL
 TORCS, The Open Racing Car Simulator is a car racing simulation game 
 which allows you to drive in races against opponents simulated by 
 the computer.
 You can also develop your own computer-controlled driver (also called a
 robot) in C or C++. TORCS is GPL (version 2 or later).
 .
 Hardware requirements are at least 550MHZ CPU, 256MB RAM and 32 MB
 OpenGL 1.3 compatible graphics card (with 3D accel preferred) in order 
 to fully enjoy the game.


Package: torcs-data
Architecture: all
Recommends: torcs (>= 1.3.3)
Depends:  ${misc:Depends}, torcs-data-tracks (>= 1.3.3), torcs-data-cars (>= 1.3.3)
Replaces: torcs-data-cars (<< 1.3.3), torcs (<< 1.3.3)
Breaks: torcs (<< 1.3.3)
Description: base data files for TORCS game
 TORCS, The Open Racing Car Simulator is a car racing simulation game 
 which allows you to drive in races against opponents simulated by 
 the computer.
 .
 This package includes basic data files for the game plus one car:
 Ferrari 360 Modena. For additional cars and tracks install the 
 torcs-data-tracks and torcs-data-cars packages.


Package: torcs-data-cars
Architecture: all
Recommends: torcs (>= 1.3.3)
Depends:  ${misc:Depends}
Conflicts: torcs-data-cars-extra
Replaces: torcs-data-cars-extra (<< 1.3.3), torcs-data (<< 1.3.3)
Breaks: torcs-data (<< 1.3.3)
Description: data files for TORCS game - Cars set
 TORCS, The Open Racing Car Simulator is a car racing simulation game 
 which allows you to drive in races against opponents simulated by 
 the computer.
 .
 This package includes the following cars for the game.
  - Alfa Romeo 155 (DTM)
  - Acura NSX type S-Zero
  - Baja Bug
  - Buggy
  - Toyota 2000 GT
  - Bizzarrini 5300 GT
  - Alpine A110
  - Alfa Romeo TZ2
  - Austin-Healey 3000 Mk II
  - AC Cobra 427
  - Cobra Daytona Shelby
  - Opel GT Conrero
  - Corvette T-Top
  - Ferrari 365 Gtb4 Daytona
  - Aston Martin DB4 GT Zagato
  - Aston Martin DBS
  - Ferrari Dino 246 GT
  - Maserati Ghibli
  - Alfa Romeo Giulietta spider
  - Iso Grifo
  - Ford Gt40
  - Ferrari 250 GTO
  - Ferrari 330 P4
  - Peugeot 406
  - Peugeot 206 WRC
  - Peugeot 306 Maxi
  - Toyota Corolla WRC
  - Mitsubishi Lancer EVO VI WRC
  - Ford Focus WRC
  - Subaru Impreza WRC
  - and More!

Package: torcs-data-tracks
Architecture: all
Depends: ${misc:Depends}
Recommends: torcs (>= 1.3.3)
Replaces: torcs-data-tracks (<< 1.3.3)
Description: data files for TORCS game - Tracks set
 TORCS, The Open Racing Car Simulator is a car racing simulation game 
 which allows you to drive in races against opponents simulated by 
 the computer.
 .
 This package includes the following tracks for the game.
  - 13 road tracks
  - 9 oval tracks
  - 8 dirt tracks

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_LIBTOOL := pre
DEB_AUTO_UPDATE_ACLOCAL := 1.11
DEB_AUTO_UPDATE_AUTOCONF := yes
DEB_AUTO_UPDATE_AUTOMAKE := 1.11

# Documentation to install
DEB_INSTALL_DOCS_ALL = debian/TODO.Debian

# changelog
DEB_INSTALL_CHANGELOGS_ALL = README

VERSION=$(shell dpkg-parsechangelog | grep Version | cut -d ' ' -f 2 | cut -d '-' -f 1)

# rules for package building
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games --x-libraries=/usr/lib/

# Nasty hack to get this target call configure script before compile
# the code. This should be improved/removed/cleaned, see TODO.Debian
#debian/stamp-makefile-build:
#	$(DEB_CONFIGURE_INVOKE) $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS)
#	$(DEB_MAKE_INVOKE) $(DEB_MAKE_BUILD_TARGET)
#	touch debian/stamp-makefile-build

cleanbuilddir/torcs::
# remove VCS files present in source
	find $(CURDIR) -type d -name "CVS" | xargs rm -rf
	rm -f $(CURDIR)/debian/stamp*

binary-predeb/torcs::
# removing shipped Makefiles 
	find debian/torcs/usr/share/games/torcs -type f -name Makefile | xargs --no-run-if-empty rm -f
# stripped installed files that go into -data packages.
	rm -rf debian/torcs/usr/share/games/torcs
# removes empty script to make lintian happy
	rm -f debian/torcs/usr/share/games/torcs/telemetry/telemetry.sh

build/torcs-data::
	$(MAKE) datainstall DESTDIR=$(CURDIR)/debian/tmp

build-predeb/torcs-data::
# removing empty script until it's ready
	rm -f debian/torcs-data/usr/share/games/torcs/telemetry/telemetry.sh

# torcs-data-cars packaging bits
# Fix permissions on data files according policy for games
binary-predeb/torcs-data-cars::
	find debian/torcs-data-cars/usr/share/games/torcs -type f | xargs --no-run-if-empty chmod 644

# torcs-data-tracks packaging bits
binary-predeb/torcs-data-tracks::
	find debian/torcs-data-tracks/usr/share/games/torcs -type f | xargs --no-run-if-empty chmod 644
# remove unneeded script
	rm -f debian/torcs-data-tracks/usr/share/games/torcs/tracks/road/ole-road-1/generate.sh

=== debian/watch ===
version=3
http://sf.net/torcs/TORCS-(.*)\.tar.bz2	debian 	uupdate

## torcs 1.3.3%2bdfsg

=== debian/changelog ===
torcs (1.3.3+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack source, removing src/windows including libraries for Win32 in
    binary form only, and useless CVS directories. (Closes: #685144)
  * debian/rules: protect automatically modified files during the source
    building, restore them at the end of the process, and remove other extra
    files during the clean target. (Closes: #684845)

 -- David Prévot <taffit@debian.org>  Fri, 24 Aug 2012 01:08:42 -0400

torcs (1.3.3-6) unstable; urgency=low

  * Resolved Lintian warnings
    - debian/copyright: Licensing for 155-DTM is GPL, according sources.
    - debian/rules: Empty script in torcs-data.

 -- Rudy Godoy <rudy@stone-head.org>  Wed, 04 Jul 2012 22:26:21 -0500

## torcs 1.3.3+dfsg

=== Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002 Bernhard Wymann
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = bt
MODULE      = ${ROBOT}.so
MODULEDIR   = drivers/${ROBOT}
SOURCES     = ${ROBOT}.cpp driver.cpp opponent.cpp

SHIPDIR     = drivers/${ROBOT}
SHIP        = ${ROBOT}.xml logo.rgb
SHIPSUBDIRS = 0

PKGSUBDIRS  = ${SHIPSUBDIRS}
src-robots-bt_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-bt_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Mon Aug 30 22:10:08 CEST 1999
#    copyright            : (C) 1999 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.7 2003/08/20 05:48:42 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


# #### The Open Racing Car Simulator ####


SHIPSUBDIRS	= drivers modules libs raceman

EXPINCDIRS	= interfaces libs linux modules

TOOLSUBDIRS	= libs tools linux

SUBDIRS		= libs linux modules drivers tools

SRCDOC		= yes

PKGSUBDIRS	= interfaces libs linux modules windows tools drivers doc raceman

src_PKGFILES	= Makefile

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/drivers/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:08:21 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.4 2002/06/30 14:11:14 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

SUBDIRS = $(shell find * -maxdepth 0 -type d -print | grep -v CVS)

SHIPSUBDIRS = $(SUBDIRS)

PKGSUBDIRS	= $(SUBDIRS)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/libs/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:31:47 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.12.2.1 2011/12/28 15:04:51 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


SHIPSUBDIRS	= tgf tgfclient raceengineclient learning musicplayer

EXPINCDIRS	= txml tgf tgfclient client confscreens racescreens robottools raceengineclient learning \
			  portability math musicplayer

TOOLSUBDIRS	= txml

SUBDIRS		= confscreens racescreens robottools txml tgf tgfclient client raceengineclient learning \
			  portability math musicplayer

PKGSUBDIRS	= $(SUBDIRS)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))


include ${MAKE_DEFAULT}

=== src/raceman/Makefile ===
##############################################################################
#
#    file        : Makefile
#    created     : Sun Jan  5 10:11:19 CET 2003
#    copyright   : (C) 2003 by Eric Espi                        
#    email       : Eric.Espie@torcs.org   
#    version     : $Id: Makefile,v 1.4 2003/03/05 01:16:16 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


SHIPDIR   = config/raceman

SHIPCREATEDIRS = $(shell find * -maxdepth 0 -name '*.xml' -print | sed -e 's!\.xml!!' -e 's!^!results/!')

SHIP      = $(shell find * -maxdepth 0 -name '*.xml' -print)

CONFIGCREATEDIRS = ${SHIPCREATEDIRS} ${SHIPDIR}

CONFIG = ${SHIP}

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))



include ${MAKE_DEFAULT}

=== data/cars/wheels/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:00:54 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.1.2.1 2010/01/17 18:57:40 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATASUBDIRS = $(shell find * -maxdepth 0 -type d -print | grep -v CVS)

PKGSUBDIRS	= $(DATASUBDIRS)

include ${MAKE_DEFAULT}

=== data/data/img/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Tue Aug 31 22:25:42 CEST 1999
#    copyright            : (C) 1999 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.2 2002/06/25 21:47:28 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATADIR   	= data/img

DATA      	= $(shell find *.png -maxdepth 0 -type f)

data_PKGFILES	= $(DATA)

data_PKGDIR	= $(DATADIR)


include ${MAKE_DEFAULT}

=== data/data/objects/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Mon Jan  1 17:41:01 CET 2001
#    copyright            : (C) 2000 by Eric Espi                        
#    email                : Eric.Espie@torcs.org   
#    version              : $Id: Makefile,v 1.2 2002/07/05 19:19:58 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATADIR      = data/objects

DATA         = $(shell find *.ac -maxdepth 0 -print)

data-devel_PKGFILES	= $(DATA)

data-devel_PKGDIR	= $(DATADIR)


include ${MAKE_DEFAULT}

=== data/data/tracks/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sun Mar 19 00:15:04 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.3 2002/06/25 21:47:28 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATADIR   = data/tracks

DATA      = $(shell find *.xml -maxdepth 0 -type f -print)


data_PKGFILES	= $(DATA)

data_PKGDIR	= $(DATADIR)


include ${MAKE_DEFAULT}

=== data/tracks/a-speedway/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sun Feb 13 17:25:53 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.9 2004/11/06 15:01:21 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATADIR   = tracks/oval/a-speedway

DATA      = a-speedway.xml background.png a-speedway.ac a-speedway.png readme.txt

data-tracks-oval_PKGFILES	= $(DATA)

data-tracks-oval_PKGDIR		= $(DATADIR)

include ${MAKE_DEFAULT}

=== data/tracks/aalborg/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sun Mar 19 00:14:15 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.8 2005/03/21 21:14:06 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATADIR   = tracks/road/aalborg

DATA      = aalborg.xml aalborg.acc aalborg.png readme.txt allborg-trees_n.rgb shadow2.rgb \
			tr-barrier-aa-1.rgb tr-asphalt-aa-l_n.rgb tr-asphalt-aa-pt-bw1_n.rgb \
			tr-asphalt-aa-bw1_n.rgb tarmac-wall-2-g2.rgb spectator.rgb barr1.rgb \
			torcs1.rgb tr-asphalt-aa-pe-bw1_n.rgb tr-asphalt-aa-ro-bw1_n.rgb poutre4.rgb \
			tr-curb-bw-aa-r.rgb grass-aa.rgb tr-g-to-asphalt-aa-l_n.rgb tr-grass-aa-l_n.rgb \
			tr-asphalt-2-aa-r_n.rgb tr-asphalt-aa-bw2-e_n.rgb tr-asphalt-aa-bw2_n.rgb \
			tarmac-wall-1-g2.rgb tr-asphalt-to-g-aa-l_n.rgb tr-asphalt-aa-bw2-s_n.rgb \
			aalborg.png background.png

data-tracks-road_PKGFILES	= $(DATA)

data-tracks-road_PKGDIR		= $(DATADIR)

include ${MAKE_DEFAULT}

=== data/tracks/dirt-2/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sun Mar 12 16:19:53 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.7 2004/11/06 15:01:22 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

DATADIR   = tracks/dirt/dirt-2

DATA      = dirt-2.xml background.png dirt-2.ac dirt-2.png readme.txt

data-tracks-dirt_PKGFILES	= $(DATA)

data-tracks-dirt_PKGDIR		= $(DATADIR)

include ${MAKE_DEFAULT}

=== debian/changelog ===
torcs (1.3.3+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build dependency to libpng-dev (and remove
    version constraint, not possible for virtual dependencies)
    to ease libpng transition (Closes: #662522)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 16:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: torcs
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rudy Godoy <rudy@stone-head.org>
-Build-Depends: debhelper (>= 7.0), libgl1-mesa-dev, libplib-dev, freeglut3-dev (>= 2.2.0), libpng12-dev (>= 1.2.8), zlib1g-dev (>= 1.2.1.1), libx11-dev (>= 6.8.2), libxt-dev (>= 6.8.2), libxmu-dev (>= 6.8.2), libxxf86vm-dev (>= 6.8.2), cdbs, libopenal-dev, libalut-dev (>= 1.0.0), libxi-dev, libxrender-dev, libxrandr-dev, autoconf, automake1.11, libtool, libvorbis-dev, autotools-dev
+Maintainer: Rudy Godoy <rudy@stone-head.org>
+Build-Depends: debhelper (>= 7.0), libgl1-mesa-dev, libplib-dev, freeglut3-dev (>= 2.2.0), libpng-dev, zlib1g-dev (>= 1.2.1.1), libx11-dev (>= 6.8.2), libxt-dev (>= 6.8.2), libxmu-dev (>= 6.8.2), libxxf86vm-dev (>= 6.8.2), cdbs, libopenal-dev, libalut-dev (>= 1.0.0), libxi-dev, libxrender-dev, libxrandr-dev, autoconf, automake1.11, libtool, libvorbis-dev, autotools-dev
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-games/torcs.git

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,16 @@
 # remove VCS files present in source
 	find $(CURDIR) -type d -name "CVS" | xargs rm -rf
 	rm -f $(CURDIR)/debian/stamp*
+	mkdir debian/memory
+	cp Make-config config.h src/doc/torcsdoc.conf debian/memory
+
+clean::
+	cp debian/memory/Make-config debian/memory/config.h .
+	cp debian/memory/torcsdoc.conf src/doc/
+	rm -f src/linux/torcs src/tools/accc/accc src/tools/nfs2ac/nfs2ac \
+	   src/tools/nfsperf/nfsperf src/tools/texmapper/texmapper \
+	   src/tools/trackgen/trackgen stamp-h1
+	rm -r debian/memory
 
 binary-predeb/torcs::
 # removing shipped Makefiles 
@@ -42,7 +52,7 @@
 build/torcs-data::
 	$(MAKE) datainstall DESTDIR=$(CURDIR)/debian/tmp
 
-build-predeb/torcs-data::
+binary-predeb/torcs-data::
 # removing empty script until it's ready
 	rm -f debian/torcs-data/usr/share/games/torcs/telemetry/telemetry.sh

## torcs 1.3.3+dfsg2

=== debian/changelog ===
torcs (1.3.3+dfsg2-1) unstable; urgency=medium

  * Repack the original tarball and remove non-free car models.
    (Closes: #861959)
  * New maintainer: Debian Games Team. Add myself as Uploader. Update
    Vcs address. (see #846794)

 -- Markus Koschany <apo@debian.org>  Sat, 06 May 2017 15:34:30 +0200

torcs (1.3.3+dfsg-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace fix-ftbfs-glib.patch by 0003-fix-glibc-isnan-isinf.patch: better
    patch to fix the build failure with glibc 2.23.
  * Add 0004-fix-gcc6-isnan.patch: fix the build failure with GCC 6 (Closes:
    #831201).
  * Add 0005-fix-glibc-default-source.patch: kill deprecation warnings when
    building with glibc >= 2.23.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jul 2016 22:05:12 +0000

torcs (1.3.3+dfsg-0.3) unstable; urgency=medium

  * d/p/fix-ftbfs-glib.patch: Fix build failure
    with glib 2.23 (Closes: #818813, #829723)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Jul 2016 16:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: torcs
 Section: games
 Priority: optional
-Maintainer: Rudy Godoy <rudy@stone-head.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Markus Koschany <apo@debian.org>
 Build-Depends: debhelper (>= 7.0), libgl1-mesa-dev, libplib-dev, freeglut3-dev (>= 2.2.0), libpng-dev, zlib1g-dev (>= 1.2.1.1), libx11-dev (>= 6.8.2), libxt-dev (>= 6.8.2), libxmu-dev (>= 6.8.2), libxxf86vm-dev (>= 6.8.2), cdbs, libopenal-dev, libalut-dev (>= 1.0.0), libxi-dev, libxrender-dev, libxrandr-dev, autoconf, automake1.11, libtool, libvorbis-dev, autotools-dev
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-games/torcs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/torcs.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-games/torcs.git
 Homepage: http://torcs.org
 
 Package: torcs
